using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.StoragesContracts
{
	public interface IProductionStorage
	{
		List<ProductionViewModel> GetFullList();
		List<ProductionViewModel> GetFilteredList(ProductionSearchModel model);
		ProductionViewModel? GetElement(ProductionSearchModel model);
		ProductionViewModel? Insert(ProductionBindingModel model);
		ProductionViewModel? Update(ProductionBindingModel model);
		ProductionViewModel? Delete(ProductionBindingModel model);
	}
}

